Loading...
Searching...
No Matches
ladspa::PortDesc Class Reference

`#include <ladspaback.h>`

## Public Member Functions

void | set_range_default (const LADSPA_PortRangeHint &h, ChangeableValues &store)
void | set_default_value (const LADSPA_PortRangeHint &h, ChangeableValues &store)
void | set_tp_default (const LADSPA_PortRangeHint &h, ChangeableValues &store)
float | calc_step ()
void | set_default (float value, Glib::ustring label)
void | output (gx_system::JsonWriter &jw)
| PortDesc (int idx_, int pos_, bool is_output_, Glib::ustring name, const LADSPA_PortRangeHint &hint)
| PortDesc (gx_system::JsonParser &jp)
void | serializeJSON (gx_system::JsonWriter &jw)
void | reset ()
void | fixup (bool newrow)
bool | check_changed (const PortDesc &vp) const
Glib::ustring | get_enum (int idx)
DisplayType | get_tp ()
float | get_low ()
float | get_up ()
float | get_dflt ()
bool | get_newrow ()
const Glib::ustring & | get_name ()
int | get_pos ()
void | set_low (float v)
void | set_up (float v)
void | set_dflt (float v)
void | set_tp (DisplayType v)
void | set_newrow (bool v)
bool | has_settings ()
bool | enumkey_changed (int k)
bool | is_set (int f)
void | set_state (gx_system::JsonParser &jp, int version)

## Public Attributes

int | idx
int | pos
bool | is_output
LADSPA_PortRangeHintDescriptor | hint_desc
bool | fake_low
bool | fake_up
bool | fake_dflt
step_mode | step
bool | use_sr
bool | has_sr
bool | has_caption
ChangeableValues | factory
ChangeableValues | user

## Static Public Attributes

static const int | SR = 44100

## Friends

bool | cmp_ctrl_ports (const PortDesc *a, const PortDesc *b)

## Detailed Description

Definition at line 78 of file ladspaback.h.

## Constructor & Destructor Documentation

## PortDesc() [1/2]

ladspa::PortDesc::PortDesc | ( | int | idx_,
|  | int | pos_,
|  | bool | is_output_,
|  | Glib::ustring | name,
|  | const LADSPA_PortRangeHint & | hint )

Referenced by check_changed(), and cmp_ctrl_ports.

## PortDesc() [2/2]

ladspa::PortDesc::PortDesc | ( | gx_system::JsonParser & | jp | ) |

## Member Function Documentation

## calc_step()

float ladspa::PortDesc::calc_step | ( |  | ) |

## check_changed()

bool ladspa::PortDesc::check_changed | ( | const PortDesc & | vp | ) | const

## enumkey_changed()

bool ladspa::PortDesc::enumkey_changed | ( | int | k | ) |

inline

Definition at line 124 of file ladspaback.h.

## fixup()

void ladspa::PortDesc::fixup | ( | bool | newrow | ) |

## get_dflt()

float ladspa::PortDesc::get_dflt | ( |  | ) |

inline

Definition at line 114 of file ladspaback.h.

## get_enum()

Glib::ustring ladspa::PortDesc::get_enum | ( | int | idx | ) |

## get_low()

float ladspa::PortDesc::get_low | ( |  | ) |

inline

Definition at line 112 of file ladspaback.h.

## get_name()

const Glib::ustring & ladspa::PortDesc::get_name | ( |  | ) |

inline

Definition at line 116 of file ladspaback.h.

## get_newrow()

bool ladspa::PortDesc::get_newrow | ( |  | ) |

inline

Definition at line 115 of file ladspaback.h.

## get_pos()

int ladspa::PortDesc::get_pos | ( |  | ) |

inline

Definition at line 117 of file ladspaback.h.

## get_tp()

DisplayType ladspa::PortDesc::get_tp | ( |  | ) |

inline

Definition at line 111 of file ladspaback.h.

## get_up()

float ladspa::PortDesc::get_up | ( |  | ) |

inline

Definition at line 113 of file ladspaback.h.

## has_settings()

bool ladspa::PortDesc::has_settings | ( |  | ) |

## is_set()

bool ladspa::PortDesc::is_set | ( | int | f | ) |

inline

Definition at line 125 of file ladspaback.h.

## output()

void ladspa::PortDesc::output | ( | gx_system::JsonWriter & | jw | ) |

## reset()

void ladspa::PortDesc::reset | ( |  | ) |

## serializeJSON()

void ladspa::PortDesc::serializeJSON | ( | gx_system::JsonWriter & | jw | ) |

## set_default()

void ladspa::PortDesc::set_default | ( | float | value,
|  | Glib::ustring | label )

## set_default_value()

void ladspa::PortDesc::set_default_value | ( | const LADSPA_PortRangeHint & | h,
|  | ChangeableValues & | store )

## set_dflt()

void ladspa::PortDesc::set_dflt | ( | float | v | ) |

## set_low()

void ladspa::PortDesc::set_low | ( | float | v | ) |

## set_newrow()

void ladspa::PortDesc::set_newrow | ( | bool | v | ) |

## set_range_default()

void ladspa::PortDesc::set_range_default | ( | const LADSPA_PortRangeHint & | h,
|  | ChangeableValues & | store )

## set_state()

void ladspa::PortDesc::set_state | ( | gx_system::JsonParser & | jp,
|  | int | version )

## set_tp()

void ladspa::PortDesc::set_tp | ( | DisplayType | v | ) |

## set_tp_default()

void ladspa::PortDesc::set_tp_default | ( | const LADSPA_PortRangeHint & | h,
|  | ChangeableValues & | store )

## set_up()

void ladspa::PortDesc::set_up | ( | float | v | ) |

## Friends And Related Symbol Documentation

## cmp_ctrl_ports

bool cmp_ctrl_ports | ( | const PortDesc * | a,
|  | const PortDesc * | b )

friend

## Member Data Documentation

## factory

ChangeableValues ladspa::PortDesc::factory

Definition at line 92 of file ladspaback.h.

Referenced by get_dflt(), get_low(), get_name(), get_newrow(), get_tp(), and get_up().

## fake_dflt

bool ladspa::PortDesc::fake_dflt

Definition at line 87 of file ladspaback.h.

## fake_low

bool ladspa::PortDesc::fake_low

Definition at line 85 of file ladspaback.h.

## fake_up

bool ladspa::PortDesc::fake_up

Definition at line 86 of file ladspaback.h.

## has_caption

bool ladspa::PortDesc::has_caption

Definition at line 91 of file ladspaback.h.

## has_sr

bool ladspa::PortDesc::has_sr

Definition at line 90 of file ladspaback.h.

## hint_desc

LADSPA_PortRangeHintDescriptor ladspa::PortDesc::hint_desc

Definition at line 84 of file ladspaback.h.

## idx

int ladspa::PortDesc::idx

Definition at line 81 of file ladspaback.h.

Referenced by get_enum().

## is_output

bool ladspa::PortDesc::is_output

Definition at line 83 of file ladspaback.h.

## pos

int ladspa::PortDesc::pos

Definition at line 82 of file ladspaback.h.

Referenced by get_pos().

## SR

const int ladspa::PortDesc::SR = 44100

static

Definition at line 94 of file ladspaback.h.

## step

step_mode ladspa::PortDesc::step

Definition at line 88 of file ladspaback.h.

## use_sr

bool ladspa::PortDesc::use_sr

Definition at line 89 of file ladspaback.h.

## user

ChangeableValues ladspa::PortDesc::user

Definition at line 93 of file ladspaback.h.

Referenced by enumkey_changed(), get_dflt(), get_low(), get_name(), get_newrow(), get_tp(), get_up(), and is_set().

The documentation for this class was generated from the following file:

- src/headers/ladspaback.h